Page MenuHomePhabricator

wincache_ucache_cas() expects parameter 2 to be long, string given
Closed, ResolvedPublic

Description

From IRC

Warning: wincache_ucache_cas() expects parameter 2 to be long, string given in C:\Inetpub\vhosts\gamepaduniverse.com\wiki.gamepaduniverse.com\w\includes\libs\objectcache\WinCacheBagOStuff.php on line 52

Seen at https://wiki.gamepaduniverse.com/w/index.php?title=PadPedia&mobileaction=toggle_view_mobile

Event Timeline

Reedy created this task.Dec 9 2015, 12:54 AM
Reedy raised the priority of this task from to Needs Triage.
Reedy updated the task description. (Show Details)
Reedy added a subscriber: Reedy.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 9 2015, 12:54 AM
Reedy added a comment.Dec 9 2015, 12:56 AM
[00:56:01] <upgradescrew> PHP Version 5.4.45

More reports:

Topic:Swpu5kupj4ypj3b5

  • MW 1.26.2 / WinCache 2.0.0.4 (installed through WebPI) / PHP 7.0.0

Topic:Sxtvovz1fv5e5hk7

  • MediaWiki 1.26.0 / PHP 7.0.0 (cgi-fcgi) / Windows Server 2008 R2 SP1 with IIS 7.5
  • MediaWiki 1.26.2 / PHP 5.4.45 (cgi-fcgi)
  • MediaWiki 1.27.0 / PHP 5.6.22 (cgi-fcgi)

Topic:Te9vy6izy1ylduwt

  • MediaWiki1.27.1 / PHP7.0.0 (cgi-fcgi)

Another one: Topic:Tf5lzskecvxnnlgx - MediaWiki 1.27.1

aaron added a subscriber: aaron.Nov 11 2016, 8:14 PM

This was fixed in master by changing merge().

@aaron rMWfaac856f2136 I guess. It would be good to backport that to REL1_27 since it's a LTS

Change 321019 had a related patch set uploaded (by Krinkle):
objectcache: Remove broken cas() method from WinCacheBagOStuff

https://gerrit.wikimedia.org/r/321019

Change 321019 merged by jenkins-bot:
objectcache: Remove broken cas() method from WinCacheBagOStuff

https://gerrit.wikimedia.org/r/321019

Change 321871 had a related patch set uploaded (by Reedy):
objectcache: Remove broken cas() method from WinCacheBagOStuff

https://gerrit.wikimedia.org/r/321871

Change 321872 had a related patch set uploaded (by Reedy):
objectcache: Remove broken cas() method from WinCacheBagOStuff

https://gerrit.wikimedia.org/r/321872

Change 321871 merged by jenkins-bot:
objectcache: Remove broken cas() method from WinCacheBagOStuff

https://gerrit.wikimedia.org/r/321871

Change 321872 merged by jenkins-bot:
objectcache: Remove broken cas() method from WinCacheBagOStuff

https://gerrit.wikimedia.org/r/321872

Krinkle closed this task as Resolved.Apr 8 2017, 12:03 AM
Krinkle assigned this task to aaron.
Krinkle triaged this task as High priority.